#ifndef _H_UTIL_MQ
#define _H_UTIL_MQ
/* MQSeries product include file                                  */
#include <cmqc.h>

#define PRINTREAS(param)  \
 case param:              \
   return(#param);        \
   break;

#define MSGDATELEN         10
#define MSGTIMELEN          8

char *ReasonString(MQLONG reason);
int WriteLogMQ(char *LogDir, int Verb, MQLONG CompCode, MQLONG Reason);

int GetMAXMSGL(char *LogDir, MQHCONN Hcon, MQCHAR48 QName, MQLONG *MAXMSGL);
int GetQueueDepth(char *LogDir,MQHCONN Hcon, MQCHAR48 QName, MQLONG *Qdepth);

int MQconn(char *LogDir, MQCHAR48 QMgrName, MQHCONN *Hconn);
int MQdisc(char *LogDir, MQHCONN *Hconn);

char *GetMQDate(char *pS, PMQMD pmdin);
char *GetMQTime(char *pS, PMQMD pmdin);

#ifdef OS400
	/*********************************************************************/
	/*  MQBACK Function -- Back Out Changes                              */
	/*********************************************************************/

 void MQENTRY MQBACK (
   MQHCONN  Hconn,      /* Connection handle */
   PMQLONG  pCompCode,  /* Completion code */
   PMQLONG  pReason);   /* Reason code qualifying CompCode */

	/*********************************************************************/
	/*  MQCMIT Function -- Commit Changes                                */
	/*********************************************************************/

 void MQENTRY MQCMIT (
   MQHCONN  Hconn,      /* Connection handle */
   PMQLONG  pCompCode,  /* Completion code */
   PMQLONG  pReason);   /* Reason code qualifying CompCode */

#endif

#endif
